## org.eclipse.datatools.sqltools.sqlbuilder.model
Class SQLStringHelper

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.model.SQLStringHelper

    public class SQLStringHelper

extends java.lang.Object

Field Summary
`static java.lang.String` `lineSeparator`

Constructor Summary
`SQLStringHelper()`

Method Summary
`static boolean` `isAlphanumericOrUnderscore(java.lang.String srcString)`
`static int` `lastIndexOfAnyBut(java.lang.String srcString, java.lang.String validString)`
`static java.lang.String` `stringReplace(java.lang.String string, java.lang.String startDelimiter, java.lang.String endDelimiter, java.lang.String tag, java.util.Vector litVector)`
`static java.lang.String` `stringReplace(java.lang.String string, java.lang.String pattern, java.util.Vector newVector)`
`static java.lang.String` `trimBlanks(java.lang.Object input)` This removes unnecessary blanks from an SQLStatement string and returns the updated string.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lineSeparator

    public static final java.lang.String lineSeparator

Constructor Detail

### SQLStringHelper

    public SQLStringHelper()

Method Detail

### trimBlanks

    public static java.lang.String trimBlanks(java.lang.Object input)

  This removes unnecessary blanks from an SQLStatement string and returns the updated string. Leaves blanks in literal values.

### stringReplace

    public static java.lang.String stringReplace(java.lang.String string,
                                                 java.lang.String startDelimiter,
                                                 java.lang.String endDelimiter,
                                                 java.lang.String tag,
                                                 java.util.Vector litVector)

### stringReplace

    public static java.lang.String stringReplace(java.lang.String string,
                                                 java.lang.String pattern,
                                                 java.util.Vector newVector)

### isAlphanumericOrUnderscore

    public static boolean isAlphanumericOrUnderscore(java.lang.String srcString)

### lastIndexOfAnyBut

    public static int lastIndexOfAnyBut(java.lang.String srcString,
                                        java.lang.String validString)